org.jboss.netty.channel.socket.nio

## Interface WorkerPool<E extends Worker>

All Known Implementing Classes:
  AbstractNioWorkerPool, NioDatagramWorkerPool, NioWorkerPool, ShareableWorkerPool

    public interface WorkerPool<E extends Worker>

The `WorkerPool` is responsible to hand of `Worker`'s on demand

### Method Summary

Methods
`E` `nextWorker()` Return the next `Worker` to use

### Method Detail

#### nextWorker

    E nextWorker()

Return the next `Worker` to use

Returns:
  worker